# This file is part of djpro.
#
# Copyright (c) 2024, Franco Gidaszewski <gidaszewskifranco@gmail.com>
#
# For the full copyright and license information, please view
# the LICENSE.txt file that was distributed with this source code.

"""The top-level module for dj-pro package.

This module tracks the version of the package as well as the base
package info used by various functions within dj-pro.

"""

from .base import *

__copyright__ = "Copyright (c) 2024-2034, Franco Gidaszewski"
"""The copyright notice of the package."""

__version__ = "0.0.2"
"""The version of the package."""

__license__ = "MIT"
"""The license of the package."""

__author__ = "Franco Gidaszewski"
"""The author of the package."""

__author_email__ = "gidaszewskifranco@gmail.com"
"""The email of the author of the package."""

__url__ = "https://djpro.readthedocs.io/en/latest/index.html"
"""The URL of the package."""

__description__ = "Package that allows you to create a Django project using a modular and scalable architecture with options like API configuration, DjangoAdminSite custom theme and Docker to optimize your development time"
"""The description of the package."""
